
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>一个判断session是否过期的小技巧 / iVAN</title>

    <meta name="description" content="一个判断session是否过期的小技巧 session|技巧 前一段时间有好几个问题,提到怎么判断session是否过期.接触jspo已经很久了,但是还真没有想过这个问题,当时也就没有找到一个满意的答案给人家.当时,我提到一个方法,就是实现HttpSessionListener接口,然后在sessionDestroyed()方法中执行一些操作,表示session要过期了,因为这个方法是session.invalidate()之前监听器调用的方法.这个判断的方法显然不能让人满意.我当时问了些人,但是也没有得到一个准确的答案.正好偶然间看">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">一个判断session是否过期的小技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>session|技巧</p>
<p>前一段时间有好几个问题，提到怎么判断session是否过期。<br />接触jspo已经很久了，但是还真没有想过这个问题，当时也就没有找到一个满意的答案给人家。<br />当时，我提到一个方法，就是实现HttpSessionListener接口，然后在sessionDestroyed()方法中执行一些操作，表示session要过期了，因为这个方法是session.invalidate()之前监听器调用的方法。这个判断的方法显然不能让人满意。<br />我当时问了些人，但是也没有得到一个准确的答案。<br />正好偶然间看到，request.getSeesion(boolean）方法，一下子让我恍然大悟。这个方法里面传了一个boolean值，这个值如果是true，那么如果当前的request的session不可用，那么就创建新的会话，如果存在就返回当前的会话。如果参数是false，那么在request的当前会话不存在的时候就返回null。<br />这样我们就可以很容易的联想到这个所谓的request的当前会话是否存在和session过期的联系，所以我们就可以“近似地”认为session不存在就是session过期了，那么我们就可以很容易地判断session是否过期了。方法如下：<br />if(request.getSession(false)==null)<br />   System.out.println("Session has been invalidated!");<br />else<br />   System.out.println("Session is active!");</p>
<p>可能大家注意到我上面有一个“近似地”字眼，也就是说存在特别情况。<br />这个特殊情况就是第一次请求还没有创建会话的时候，那么用这个方法返回的仍然是null，原因我想大家应该是显然的。</p>
<p>以上是个人拙见，希望大家指正。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:31:56</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%bd%93%e5%89%8d/" title="当前">当前</a>, <a href="https://www.iamivan.net/tag/session/" title="session">session</a>, <a href="https://www.iamivan.net/tag/request/" title="request">request</a>, <a href="https://www.iamivan.net/tag/%e8%bf%87%e6%9c%9f/" title="过期">过期</a>, <a href="https://www.iamivan.net/tag/session%e5%88%a4%e6%96%ad/" title="session判断">session判断</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>一个判断session是否过期的小技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ1Jqqp.html" rel="bookmark">判断Session的过期时间 采用JavaScript实时显示剩余多少秒&lowbar;应用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;%@LANGUAGE=&quot;VBSCRIPT&quot; CODEPAGE=&quot;936&quot;%&gt; &lt;%session.timeout=1440 '单位(分钟)1440=24小时 参数不能大于24小时 也就是不能大于1440分钟%&gt; &lt;% if session(&quot;login&quot;)&lt;&gt;&quot;888888&quot; then'判断Session是否有效 Response.Write(&quot;Session过期了&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVQ1jQp.html" rel="bookmark">判断Session的过期时间 采用JavaScript实时显示剩余多少秒</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;%@LANGUAGE=&quot;VBSCRIPT&quot; CODEPAGE=&quot;936&quot;%&gt; &lt;%session.timeout=1440 '单位(分钟)1440=24小时 参数不能大于24小时 也就是不能大于1440分钟%&gt; &lt;% if session(&quot;login&quot;)&lt;&gt;&quot;888888&quot; then'判断Session是否有效 Response.Write(&quot;Session过期了&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNJRD7M.html" rel="bookmark">asp之让Session永不过期&lowbar;应用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				又有人说设session.timeout=99999.这种同样不行,session有最大时间限制.我经过测试发现最大值为24小时,也就是说你最大可以session.timeout=1440,1441都是不可以有,呵呵.本人测试环境:win2003+IIS6.0+ASP3.0. 所以想通过设session.timeout的过期时间让session永不过期是不可能的.写到Cookies里是比较好的方法,网上也有很多这样的教程,这里就不再说了!还有就是用在要保持session的页里设隐藏iframe每			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMlWYLb.html" rel="bookmark">php 严格控制session的过期时间</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				工作过一段时间,相信大家一定也碰到过一个问题:          1.前台用户不知道怎么的就自动掉线了.         2.后台退出登陆之后所有的前台用户也都掉线了.         3.我想控制我的用户半个小时自动下线,发现改了配置文件也不好使.       上述的所有问题都是我近期碰到的,后来通过查询知道:php的session机制由几个参数同时控制,具体是哪些我就不具体写了,分别是一个概率,一个最大过期时间,还有一个session的存储路径.在php.ini中我们可以看到,php的ses			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRKKvz.html" rel="bookmark">每日Ubuntu小技巧 - 改变Ubuntu Unity启动器尺寸</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这里有一些给新Ubuntu用户的小技巧.这一系列的小技巧是为了帮助Ubuntu新用户轻松地配置和管理他们的电脑.这不是面向专家用户的,只是为了那些刚刚开始使用Ubuntu的用户. Ubuntu启动器是Ubuntu Unity桌面的关键部分.启动器是一个布满图标的垂直条,当你登陆的时候,它就会位于屏幕的左边栏.通过它您可以从桌面方便地打开或者启动程序,还可以让您快速访问应用.工作空间.可移动设备和垃圾桶. 默认情况下,这个启动器图标大小被设置为48X48px,即使是较小的屏幕上也如此.如果你需要调			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXK9RjM.html" rel="bookmark">如何设置一个严格30分钟过期的Session示例介绍&lowbar;应用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SESSION和COOKIE是每个面试官必问的知识点,所以希望同学能深刻学习理解这部分以获得更好的工作机会 以下内容转之laruence博客(这是个学习PHP的好地方,详情点击http://www.laruence.com/) 我在面试的时候, 经常会问一个问题: &quot;如何设置一个30分钟过期的Session?&quot;, 大家不要觉得看似简单, 这里面包含的知识挺多, 特别适合考察基本功是否扎实, 谁来回答试试? 呵呵 为什么问这个问题呢? 1. 我在Twitter上看到了有人讨论这个问题,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vMN3wop.html" rel="bookmark">如何设置一个严格30分钟过期的Session</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我在面试的时候, 经常会问一个问题: &quot;如何设置一个30分钟过期的Session?&quot;, 大家不要觉得看似简单, 这里面包含的知识挺多, 特别适合考察基本功是否扎实, 谁来回答试试? 呵呵 为什么问这个问题呢? 1. 我在Twitter上看到了有人讨论这个问题, 2 想起来我经常问这个问题, 所以~~ 在这里, 我来解答下这个题目. 第一种回答 那么, 最常见的一种回答是: 设置Session的过期时间, 也就是session.gc_maxlifetime, 这种回答是不正确的, 原因如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj7KNdM.html" rel="bookmark">如何设置一个严格30分钟过期的Session示例介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SESSION和COOKIE是每个面试官必问的知识点,所以希望同学能深刻学习理解这部分以获得更好的工作机会 以下内容转之laruence博客(这是个学习PHP的好地方,详情点击http://www.laruence.com/) 我在面试的时候, 经常会问一个问题: &quot;如何设置一个30分钟过期的Session?&quot;, 大家不要觉得看似简单, 这里面包含的知识挺多, 特别适合考察基本功是否扎实, 谁来回答试试? 呵呵 为什么问这个问题呢? 1. 我在Twitter上看到了有人讨论这个问题,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlBK2qz.html" rel="bookmark">检测一个函数是否是JavaScript原生函数的小技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了检测一个函数是否是JavaScript原生函数的小技巧,本文给出了两种检测方法,需要的朋友可以参考下     在我的开发工作中经常会遇到需要判断一个函数是否是JavaScript原生函数的情况,有时候这是一个很必要的工作,你需要知道这个函数是浏览器自身提供的,还是由第三方封装.伪装成原生函数.当然,最好的方法是考察执行这个函数的toString方法的返回值. The JavaScript 完成这个任务的方法非常简单: 代码如下: function isNative(fn) {			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDYdKb.html" rel="bookmark" class="title">在Java ME平台中使用Subversion、NetBeans IDE和Sun Java System Web Server</a>
					<div>
						问题 源代码管理(SCM)产品用于管理多个版本的项目文件,允许您保存新版本.恢复较旧版本以及在不同版本之间进行比较.当您在修改项目的过程中引入了bug,这将是一个非常有价值的功能.大多数较新源代码管理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0627z.html" rel="bookmark" class="title">Photoshop制作非常高档的金色高光按钮</a>
					<div>
						教程虽然没有详细介绍按钮如何制作,不过作者在这里分享了很多按钮制作的经验,先从一些简单的效果入手,多尝试,多运用图层样式等,就可以做出自己想要的效果. 最终效果 1.按钮的形状 我个人认为按钮无非就这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGRoEp.html" rel="bookmark" class="title">JDK5&period;0中注释&lpar;Annotation&rpar;的用法</a>
					<div>
						很多API都需要相当数量的样板代码,比如,为了编写一个JAX-RPC的WEB服务,你需要提供一个接口和一个实现类.如果这个程序已经被加了注释Annotations以说明那个方法需要被远程调用,那么我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6vOAM.html" rel="bookmark" class="title">网络创业？你需要什么</a>
					<div>
						网络 现在随着internet的发展.网络经济经过&quot;泡沫时代&quot;渐渐的奔向它明媚的春天.看着网络上一个又一个崛起的IT巨人,你心动了?你着急了?你下决心了? 先别急.如果你想网络创业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6PkOz.html" rel="bookmark" class="title">网站关键词排名不稳定的案例分享</a>
					<div>
						阿权是做矿山机械网站优化的, 以前阿权的站遇到过这样的现象:每次百度大更新后的第一天我的站关键词在百度都有排名,百度大更新后的第二天,我的站的关键词就都会掉到百名之外,连续四 次百度更新都是同样的情况 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNJdvb.html" rel="bookmark" class="title">Java中基于栈和队列的排序算法</a>
					<div>
						题目1:使用一个辅助栈和一些附加非数组变量将堆栈S中的元素按升序存储. 题目2:使用一个辅助队列和一些附加非数组变量将队列Q中的元素按升序存储. 1.用Java实现,首先使用链表LinkedList构 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwle0nb.html" rel="bookmark" class="title">Win8操作中心功能设置介绍</a>
					<div>
						操作中心可以查看最新消息并解决问题,可帮助保持Windows 系统稳定运行,在win8系统中主要有安全和维护两方面的内容. 点击&quot;更改操作中心设置&quot;可以进入相应操作界面,在安全消息 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wDVjp.html" rel="bookmark" class="title">PhotoShop绘制一个蓝色苹果iPhone4手机背壳教程</a>
					<div>
						教程学习如何用Photoshop制作简单的苹果iPhone4的背壳,主要用到了圆角矩形工具和图层蒙版,下面让我们一起来学习把. 先看效果图. 三联推荐:photoshop7.0迷你版免费下载    | ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Pw0jM.html" rel="bookmark" class="title">忘记电脑密码了怎么办？</a>
					<div>
						怎样设置开机密码? 在开始-设置-控制面版-用户账户-创建或点击你现在的用户,上面有设置密码的选项或者可以通过设置bios开机的时候狂按del健,在里头可以找到password字样的东西,设置之后开机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOrXvM.html" rel="bookmark" class="title">360安全卫士打不开怎么办</a>
					<div>
						1.360安全卫士查看到底是那里除了问题打不开,最有可能的是电脑被木马破坏导致的.如果360打不开,可以下载金山卫士是专业来查杀木马,顺便清理下电脑,在尝试能否打开360安全卫士. 2.如果行不通的话 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR708z.html" rel="bookmark" class="title">Photoshop制造烈焰飞腾字体效果</a>
					<div>
						  现在市面上有许多教材里面都有会有一些燃烧效果的例子,其中讲得最多的可能就是&quot;燃烧字&quot;.过程相当简单,结果也很粗糙.如果你是刚刚接触Photoshop,你可能会惊讶不已,可日子一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EBQ9M.html" rel="bookmark" class="title">如何将word文档转换PDF&quest;</a>
					<div>
						  方法1 准备你需要转换的word文档,然后点击图中红色箭头指示的图标 弹出保存对话框,选择保存路径,点击保存 等待一下,就完成转换过程 方法/步骤2 准备你需要转换的word文档:然后点击:文件, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myw2N8z.html" rel="bookmark" class="title">Windows7中windows安全中心服务如何启动</a>
					<div>
						桌面上右击&quot;计算机&quot;-找到&quot;管理&quot;-&quot;服务和应用程序&quot;-&quot;服务&quot;-&quot;security Center&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mywml4z.html" rel="bookmark" class="title">windows service的创建方法</a>
					<div>
						环境:win7.win2008 搜索cmd, 右键&quot;run as admimistarator&quot;,打开cmd后运行命令: sc create NCPRetrieverService ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWX39jp.html" rel="bookmark" class="title">狸窝DVD刻录软件如何复制光盘中的视频到另一张光盘？</a>
					<div>
						  步骤1:首先用户需要下载安装狸窝DVD刻录软件,打开进入界面菜单后,请点击&quot;装载DVD&quot;功能按钮,选择打开需要复制编辑的DVD光盘文件目录. 步骤2:然后在软件列表区中就会自动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYlOrM.html" rel="bookmark" class="title">Android发送GET与POST请求的DEMO详解&lowbar;Android</a>
					<div>
						4.0后网络访问必须单独起一个子线程访问,否则无法运行,这里有一个发送请求的工具类GetPostUtil 复制代码 代码如下: public class GetPostUtil{ /**  * 向指定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQEBAp.html" rel="bookmark" class="title">&commat;Valid springMVC bean校验不起作用及如何统一处理校验</a>
					<div>
						SpringMVC 使用JSR-303进行校验 @Valid 使用注解 一.准备校验时使用的JAR validation-api-1.0.0.GA.jar:JDK的接口: hibernate-vali ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QrRjp.html" rel="bookmark" class="title">centos-SSH普通用户登录还需要密码验证</a>
					<div>
						问题描述 SSH普通用户登录还需要密码验证 centos普通用户使用ssh登录时,总是要验证密码,但是验证不通过(permission denied).root登录不需要密码验证.普通用户登录使用这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdR0GAb.html" rel="bookmark" class="title">transactions-transaction 什么情况下才会用</a>
					<div>
						问题描述 transaction 什么情况下才会用 Exception in thread &quot;&quot;AWT-EventQueue-0&quot;&quot; org.hibernate ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40RKqz.html" rel="bookmark" class="title">麻烦各位大哥解决下啊，十万火急</a>
					<div>
						问题描述 网站打不开了就是这个报错信息&quot;/&quot;应用程序中的服务器错误.-------------------------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR0B3b.html" rel="bookmark" class="title">设计模式：适配器模式（Adapter）</a>
					<div>
						 适配器模式:将一个类的接口转换成客户希望的另外一个接口.适配器模式使得原本由于接口不兼容而不能一起工作的那些类可以一起工作.  适配器模式有类适配器模式和对象适配器模式两种不同的形式. 类适配器   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8A709z.html" rel="bookmark" class="title">MAC 系统中显示中文MAN手册</a>
					<div>
						最近在做中文MAN手册的翻译,发现MAC系统中的MAN命令不能像多数Linux发行版那样很好的显示中文MAN手册. 根据查找的资料,找到了解决方法: 1.首先要更新你的系统中的 groff 包,MAC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7rNAM.html" rel="bookmark" class="title">【Mongodb】 Replica set 的 选举策略之二</a>
					<div>
						对于Replica Set中的选择策略: We use a consensus protocol to pick a primary. Exact details will be spared her ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB18Baz.html" rel="bookmark" class="title">FBI人脸数据库已经覆盖1&period;17亿人，但监管层面依然空白</a>
					<div>
						    为了协助案件调查,美国正在建立人脸识别数据库,这已经不是什么秘密了.但是下面这则消息可能会让你大吃一惊:最近,乔治敦大学法学院隐私与技术中心( Center for Privacy &amp; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK2X0z.html" rel="bookmark" class="title">&lbrack;分享&rsqb;WinForm UI设计与开发思路</a>
					<div>
						问题描述 非常抱歉....刚刚发了篇旧文章.....这就换个新的....最近一年来一直在做WinForm相关的系统,对WinForm的UI设计有一些想法想和大家讨论(主要是比较忙,所以很多只是设想,还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBmeaz.html" rel="bookmark" class="title">设计模式六大原则 单一职责原则</a>
					<div>
						设计模式六大原则(1):单一职责原则 定义:不要存在多于一个导致类变更的原因.通俗的说,即一个类只负责一项职责,一个人只负责做一件事. ( 一个类,只有一个引起它变化的原因.应该只有一个职责.每一个职 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5A7Ap.html" rel="bookmark" class="title">华为&OpenCurlyDoubleQuote;破戒&rdquo; 与中南传媒合作1&period;57亿入新媒体</a>
					<div>
						华为在其15年前制定的&lt;基本法&gt;中第一条规定的&quot;永不进入信息服务领域&quot;的&quot;誓言&quot;正在被打破. 1月20日,华为与中南出版传媒集团股份有限公司(下称& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Ywmxz.html" rel="bookmark" class="title">还记得Facebook老大亲自带队做出来的应用Poke么</a>
					<div>
						还记得Facebook老大亲自带队做出来的应用Poke么?本意是要击败Snapchat,但结果证明,要想达到这个效果,单靠几个犀利的工程师是不够的. 今天Facebook已经将Poke从App Sto ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boL2DgM.html" rel="bookmark" class="title">第三届中国数字出版博览会召开</a>
					<div>
						7月7日上午消息,第三届中国数字出版博览会于7月7日在北京国际会议中心召开. 中国数字出版博览会和中国数字出版年会是我国唯一以促进数字出版产业发展为目的的国际性产业交流研讨活动.按照新闻出版总署部署, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZPLVb.html" rel="bookmark" class="title">急！！！哪位前辈有时间帮忙看一下</a>
					<div>
						问题描述 哪位前辈有时间帮忙看一下breakMISSING_BLOCK_LABEL_365;Exceptionexception;exception;------------------------- ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
